<!DOCTYPE html>
<html lang="en"  xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Manager restaurants</title>

    <style>
         *{
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    }
    body{
    font-family: Helvetica;
    -webkit-font-smoothing: antialiased;
    background: rgba( 71, 147, 227, 1);
    }
    h1{
    text-align: center;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: white;
    padding: 30px 0;
    }

    /* Table Styles */

    .table-wrapper{
    margin: 10px 70px 70px;
    box-shadow: 0px 35px 50px rgba( 0, 0, 0, 0.2 );
    }

    .fl-table {
    border-radius: 5px;
    font-size: 12px;
    font-weight: normal;
    border: none;
    border-collapse: collapse;
    width: 100%;
    max-width: 100%;
    white-space: nowrap;
    background-color: white;
    }

    .fl-table td, .fl-table th {
    text-align: center;
    padding: 8px;
    }

    .fl-table td {
    border-right: 1px solid #f8f8f8;
    font-size: 12px;
    }

    .fl-table thead th {
    color: #ffffff;
    background: #4FC3A1;
    }


    .fl-table thead th:nth-child(odd) {
    color: #ffffff;
    background: #324960;
    }

    .fl-table tr:nth-child(even) {
    background: #F8F8F8;
    }

    /* Responsive */

    @media (max-width: 767px) {
    .fl-table {
    display: block;
    width: 100%;
    }
    .table-wrapper:before{
    content: "Scroll horizontally >";
    display: block;
    text-align: right;
    font-size: 11px;
    color: white;
    padding: 0 0 10px;
    }
    .fl-table thead, .fl-table tbody, .fl-table thead th {
    display: block;
    }
    .fl-table thead th:last-child{
    border-bottom: none;
    }
    .fl-table thead {
    float: left;
    }
    .fl-table tbody {
    width: auto;
    position: relative;
    overflow-x: auto;
    }
    .fl-table td, .fl-table th {
    padding: 20px .625em .625em .625em;
    height: 60px;
    vertical-align: middle;
    box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: auto;
    width: 120px;
    font-size: 13px;
    text-overflow: ellipsis;
    }
    .fl-table thead th {
    text-align: left;
    border-bottom: 1px solid #f7f7f9;
    }
    .fl-table tbody tr {
    display: table-cell;
    }
    .fl-table tbody tr:nth-child(odd) {
    background: none;
    }
    .fl-table tr:nth-child(even) {
    background: transparent;
    }
    .fl-table tr td:nth-child(odd) {
    background: #F8F8F8;
    border-right: 1px solid #E6E4E4;
    }
    .fl-table tr td:nth-child(even) {
    border-right: 1px solid #E6E4E4;
    }
    .fl-table tbody td {
    display: block;
    text-align: center;
    }
    }
    </style>
</head>
<body>
<div class="header">
    <h1>List of restaurants</h1>
</div>

<div class="table-wrapper">
    <table class="fl-table">
        <thead>
        <tr>
            <th>Restaurant name</th>
            <th>Email</th>
            <th>Phone</th>
            <th>Address</th>
            <th>Image</th>
            <th>Manager</th>
            <th>Add product</th>
            <th>View products</th>
            <th>Add schedule</th>
            <th>View schedule</th>
            <th>Update</th>
            <th>Delete</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="restaurant:${restaurants}">
            <td th:text="${restaurant.restaurantName}"></td>
            <td th:text="${restaurant.restaurantEmail}"></td>
            <td th:text="${restaurant.restaurantPhone}"></td>
            <td th:text="${restaurant.description}" ></td>
            <td><img th:src="*{'data:image/jpg;base64,'+ restaurant.imageAsString}" height="70px" width="90px" alt="Image" /></td>
            <td th:text="${restaurant.manager.userName}"></td>
            <td>
                <a  th:href="@{/displayAddFormProduct/{idRestaurant}(idRestaurant=${restaurant.idRestaurant})}">
                    <img th:src="@{images/Steak-icon.png}" alt="Add product">
                </a><!-- <img src="images/view-icon.png" th:src="@{images/view-icon.png}" alt="View restaurants">restaurants-->
            </td>
            <td>
                <a  th:href="@{/products-restaurant/{idRestaurant}{idRestaurant}(idRestaurant=${restaurant.idRestaurant})}">
                    <img th:src="@{images/view-list-icon.png}" alt="View restaurants">
                </a>
            </td>
            <td>
                <a  th:href="@{/displayAddFormSchedule/{idRestaurant}(idRestaurant=${restaurant.idRestaurant})}">
                    <img  th:src="@{images/database-add-icon.png}" alt="Add schedule">
                </a>
            </td>

            <td>
                <a  th:href="@{/schedules-restaurant/{idRestaurant}{idRestaurant}(idRestaurant=${restaurant.idRestaurant})}">
                    <img th:src="@{images/view-list-icon.png}" alt="View schedule">
                </a>
            </td>
            <td>
                <a  th:href="@{/displayEditRestaurant/{idRestaurant}(idRestaurant=${restaurant.idRestaurant})}">
                    <img  th:src="@{images/pen-edit-icon.png}" alt="Edit restaurant">
                </a>
            </td>
            <td>
                <a th:href="@{/restaurants/delete/{idRestaurant}(idRestaurant=${restaurant.idRestaurant})}">
                    <img  th:src="@{images/Delete-Database-icon24.png}" alt="Delete restaurant">
                </a>
            </td>
        </tr>
        </tbody>
    </table>
    <p><a th:href="@{/displayAdminHome}"><img src="images/blue-home-icon32.png" th:src="@{images/blue-home-icon32.png}" alt="Home"></a></p>
</div>


</body>
</html>